unit siuBuscaObjetos;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, itumain, ComCtrls;

type
  TsiBuscaObjetos = class(TFrame)
  private
    { Private declarations }
  protected
    FListViewObj: TListView;
    procedure setListViewObj(const Value: TListView); virtual;    

  public
    { Public declarations }
    constructor Create(aowner:TComponent); overload; override;
    constructor Create(aowner:TComponent; piInterfaceController: itMain; piEntityCode: string); reintroduce; overload; virtual;
    procedure BuscaObjetosInicializacaoInterface; virtual; abstract;    
    function Version: integer; virtual; abstract;
    property ListViewObj: TListView read FListViewObj write setListViewObj;
  end;

  TsiBuscaObjetosClass = class of TsiBuscaObjetos;

var
  siBuscaObjetos: TsiBuscaObjetos;

implementation

{$R *.dfm}

{ TsiBuscaObjetosBasicaPortal1 }


{ TsiBuscaObjetos }

constructor TsiBuscaObjetos.Create(aowner: TComponent);
begin
  inherited;

end;

constructor TsiBuscaObjetos.Create(aowner: TComponent; piInterfaceController: itMain; piEntityCode: string);
begin
  self.Create(aowner);
end;

procedure TsiBuscaObjetos.setListViewObj(const Value: TListView);
begin
  FListViewObj := Value;
end;

end.
